Up

# NSMenuItem

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
David Lazaro Saz (`khelekir@encomix.es`)

> The menu cell class.

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSMenuItem class
2. Software documentation for the NSMenuItem(GNUstepExtra) category
3. Software documentation for the NSMenuItem protocol

# Software documentation for the NSMenuItem class

## NSMenuItem : NSObject

> Declared in:
>   AppKit/NSMenuItem.h

> Conforms to:
>   NSMenuItem

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

# Software documentation for the NSMenuItem(GNUstepExtra) category

## NSMenuItem(GNUstepExtra)

> Declared in:
>   AppKit/NSMenuItem.h

> Standards:
> - NotOpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -changesState
- -setChangesState:

### changesState

- (BOOL) changesState;

Description forthcoming.

### setChangesState:

- (void) setChangesState: (BOOL)flag;

Description forthcoming.

# Software documentation for the NSMenuItem protocol

## NSMenuItem

> Declared in:
>   AppKit/NSMenuItem.h

> Conforms to:
>   NSCopying
>   NSCoding
>   NSObject

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Specifies the methods that an object must implement if it is to be placed in a menu as a menu item. The NSMenuItem class provides a reference implementation suitable for most uses.

Method summary

- +separatorItem
- +setUsesUserKeyEquivalents:
- +usesUserKeyEquivalents
- -action
- -hasSubmenu
- -image
- -initWithTitle:action:keyEquivalent:
- -isEnabled
- -isSeparatorItem
- -keyEquivalent
- -keyEquivalentModifierMask
- -menu
- -mixedStateImage
- -mnemonic
- -mnemonicLocation
- -offStateImage
- -onStateImage
- -representedObject
- -setAction:
- -setEnabled:
- -setImage:
- -setKeyEquivalent:
- -setKeyEquivalentModifierMask:
- -setMenu:
- -setMixedStateImage:
- -setMnemonicLocation:
- -setOffStateImage:
- -setOnStateImage:
- -setRepresentedObject:
- -setState:
- -setSubmenu:
- -setTag:
- -setTarget:
- -setTitle:
- -setTitleWithMnemonic:
- -state
- -submenu
- -tag
- -target
- -title
- -userKeyEquivalent
- -userKeyEquivalentModifierMask

### separatorItem

+ (id<NSMenuItem>) separatorItem;

Description forthcoming.

### setUsesUserKeyEquivalents:

+ (void) setUsesUserKeyEquivalents: (BOOL)flag;

Description forthcoming.

### usesUserKeyEquivalents

+ (BOOL) usesUserKeyEquivalents;

Description forthcoming.

### action

- (SEL) action;

Description forthcoming.

### hasSubmenu

- (BOOL) hasSubmenu;

Description forthcoming.

### image

- (NSImage*) image;

Description forthcoming.

### initWithTitle:action:keyEquivalent:

- (id) initWithTitle: (NSString*)aString action: (SEL)aSelector keyEquivalent: (NSString*)charCode;

Description forthcoming.

### isEnabled

- (BOOL) isEnabled;

Description forthcoming.

### isSeparatorItem

- (BOOL) isSeparatorItem;

Description forthcoming.

### keyEquivalent

- (NSString*) keyEquivalent;

Description forthcoming.

### keyEquivalentModifierMask

- (unsigned int) keyEquivalentModifierMask;

Description forthcoming.

### menu

- (NSMenu*) menu;

Description forthcoming.

### mixedStateImage

- (NSImage*) mixedStateImage;

Description forthcoming.

### mnemonic

- (NSString*) mnemonic;

Description forthcoming.

### mnemonicLocation

- (unsigned) mnemonicLocation;

Description forthcoming.

### offStateImage

- (NSImage*) offStateImage;

Description forthcoming.

### onStateImage

- (NSImage*) onStateImage;

Description forthcoming.

### representedObject

- (id) representedObject;

Description forthcoming.

### setAction:

- (void) setAction: (SEL)aSelector;

Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)flag;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)menuImage;

Description forthcoming.

### setKeyEquivalent:

- (void) setKeyEquivalent: (NSString*)aKeyEquivalent;

Description forthcoming.

### setKeyEquivalentModifierMask:

- (void) setKeyEquivalentModifierMask: (unsigned int)mask;

Description forthcoming.

### setMenu:

- (void) setMenu: (NSMenu*)menu;

Description forthcoming.

### setMixedStateImage:

- (void) setMixedStateImage: (NSImage*)image;

Description forthcoming.

### setMnemonicLocation:

- (void) setMnemonicLocation: (unsigned)location;

Description forthcoming.

### setOffStateImage:

- (void) setOffStateImage: (NSImage*)image;

Description forthcoming.

### setOnStateImage:

- (void) setOnStateImage: (NSImage*)image;

Description forthcoming.

### setRepresentedObject:

- (void) setRepresentedObject: (id)anObject;

Description forthcoming.

### setState:

- (void) setState: (int)state;

Description forthcoming.

### setSubmenu:

- (void) setSubmenu: (NSMenu*)submenu;

Description forthcoming.

### setTag:

- (void) setTag: (int)anInt;

Description forthcoming.

### setTarget:

- (void) setTarget: (id)anObject;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)stringWithAmpersand;

Description forthcoming.

### state

- (int) state;

Description forthcoming.

### submenu

- (NSMenu*) submenu;

Description forthcoming.

### tag

- (int) tag;

Description forthcoming.

### target

- (id) target;

Description forthcoming.

### title

- (NSString*) title;

Description forthcoming.

### userKeyEquivalent

- (NSString*) userKeyEquivalent;

Description forthcoming.

### userKeyEquivalentModifierMask

- (unsigned int) userKeyEquivalentModifierMask;

Description forthcoming.

Up